Subject: Re: [Idr] Robert Wilton's Discuss on draft-ietf-idr-eag-distribution-16: (with DISCUSS)

From: Qin Wu <[email-masked]>
Date: Wed, 19 May 2021 01:39:35 +0000

-----邮件原件-----
发件人: Rob Wilton (rwilton) [mailto:[email-masked]] 
发送时间: 2021年5月18日 23:02
收件人: Alvaro Retana <[email-masked]>; Qin Wu <[email-masked]>; The IESG <[email-masked]>
抄送: [email-masked]; [email-masked]; Susan Hares <[email-masked]>; [email-masked]
主题: RE: Robert Wilton's Discuss on draft-ietf-idr-eag-distribution-16: (with DISCUSS)

Hi Alvaro, Qin,

Please see inline.

> -----Original Message-----
> From: Alvaro Retana <[email-masked]>
> Sent: 18 May 2021 15:51
> To: Qin Wu <[email-masked]>; The IESG <[email-masked]>; Rob Wilton
> (rwilton) <[email-masked]>
> Cc: [email-masked]; [email-masked]; 
> Susan Hares <[email-masked]>; [email-masked]
> Subject: RE: Robert Wilton's Discuss on 
> draft-ietf-idr-eag-distribution-
> 16: (with DISCUSS)
> 
> On May 18, 2021 at 10:29:24 AM, Rob Wilton wrote:
> 
> 
> Rob:
> 
> Hi!
> 
> Joining the threads...
> 
> 
> ...
> > Alternatively, having read the referenced text, having a sentence in 
> > the introduction that states that the BGP-LS EAP attribute is 
> > handled
> entirely
> > independently of the AG attribute would be sufficient. I.e., the 
> > text in
> the
> > introduction makes this seem like this is a replacement for, and in 
> > some
> way
> > related to, the EA attribute.
> 
> Here's a suggestion...from the Introduction:
> 
> OLD>
>    These administrative groups are defined as a fixed-length 32-bit
>    bitmask.  As networks grew and more use-cases were introduced, the
>    32-bit length was found to be constraining and hence extended
>    administrative groups (EAG) were introduced in [RFC7308].
> 
>    This document specifies an extension to BGP-LS for advertisement of
>    the extended administrative groups.
> 
> NEW (append, or add as a new paragraph)>
>    The EAG TLV (Section 2) is not a replacement for the Administrative
>    Group (color) TLV; as explained in [RFC7308] both values can coexist.
>    It is out of scope for this document to specify the behavior of the
>    BGP-LS consumer [RFC7752].
[RW] 
> Would that work?
[RW]
Broadly, yes.  The first extra sentence would be sufficient to clear my initial confusion when I was reading this document.

I don’t mind if you want to keep the second sentence, but it is a bit unclear to me as to what behaviour is out of scope.

[Qin]:I think we can either remove the second sentence or replace it with
"
the backward compatibility aspects of EAG with respect to the AG are handled as described in the	 		
Backward Compatibility section of [RFC7308].
"
Thanks,
Rob

> Thanks!
> Alvaro.